<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
    <script>

    // 1. Fungsi Arrow
    
    const golden = (sentence) => {
        return console.log(sentence)
    };
    
    golden('this is golden!!')
    
    
    //2. Object Literal di ES6
    
    const fullName = {
        firstName: "William",
        lastName: "Imoh"
    };
    
    console.log(fullName.firstName, fullName.lastName); 

    
    // 3. Destructuring
    
    const newObject = {
    firstName: "Harry",
    lastName: "Potter Holt",
    destination: "Hogwarts React Conf",
    occupation: "Deve-wizard Avocado",
    spell: "Vimulus Renderus!!!"
    }
    
    const { firstName, lastName, destination, occupation, spell } = newObject;
    
    console.log(firstName, lastName, destination, occupation, spell)
    
    
    // 4. Array Spreading
    
    const west = ["Will", "Chris", "Sam", "Holly"]
    const east = ["Gill", "Brian", "Noel", "Maggie"]
    
    const combinedArray = [...west, ...east]
    console.log(combinedArray)

    // 5. Template Literals

    const planet = 'earth' 
    const view = 'glass' 
    const before = `Lorem ${view} dolor sit ammet, consectetur adipiscing elit, ${planet} do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam`   
    
    console.log(before)
    </script>
</body>
</html>